Subject: READ-INTEGER.

From: Marco Antoniotti <[email-masked]>
Date: Wed, 11 Aug 1999 09:17:34 +0200

> Topic No. 3
> 
> Date: Tue, 10 Aug 1999 12:37:19 +0200 (MET DST)
> From: Bruno Haible <[email-masked]>
> To: [email-masked]
> Subject: Re: Opening and reading binary files ?
> Message-ID: <[email-masked]>
> 
> Georges KO <[email-masked]> asks:
> 
> >     How does one open binary files with clisp, to read contents with
> > read-byte?
> 
> (open "filename" :element-type '(unsigned-byte 8))
> 
> Then, to read larger integers than bytes, you can use the READ-INTEGER
> (see impnotes.html).

I have a rather self contained version of READ-SEQUENCE and
WRITE-SEQUENCE which I wrote for CMUCL which would recognize
:element-type's like (unsigned-byte 16), single-float, and so on.

I do not know how difficult it would be to incorporate in CLISP, but
I'd be happy to provide it.

Cheers

-- 
Marco Antoniotti ===========================================
PARADES, Via San Pantaleo 66, I-00186 Rome, ITALY
tel. +39 - 06 68 10 03 17, fax. +39 - 06 68 80 79 26
http://www.parades.rm.cnr.it/~marcoxa